﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataChart_LineSeries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            SimpleDataCollection data = new SimpleDataCollection();
            XamDataChart DataChart = new XamDataChart();

           
            DataChart.DataContext = data;

            CategoryXAxis xmXAxis = new CategoryXAxis();
            xmXAxis.ItemsSource = data;
            xmXAxis.Label = "{Label}";

            // YAxis
            NumericYAxis xmYAxis = new NumericYAxis();

            DataChart.Axes.Add(xmXAxis);
            DataChart.Axes.Add(xmYAxis);

            LineSeries series1 = new LineSeries();
            series1.ValueMemberPath = "Value";
            series1.XAxis = xmXAxis;
            series1.YAxis = xmYAxis;
            series1.ItemsSource = data;
          

            LineSeries series2 = new LineSeries();
            series2.ValueMemberPath = "Value2";
            series2.XAxis = xmXAxis;
            series2.YAxis = xmYAxis;
            series2.ItemsSource = data;
           

            DataChart.Series.Add(series1);
            DataChart.Series.Add(series2);

            this.LayoutRoot.Children.Add(DataChart);
        }
    }

    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            this.Add(new SimpleDataPoint() { Label = "1", Value = 3.0, Value2 = 1.0 });
            this.Add(new SimpleDataPoint() { Label = "2", Value = 2.0, Value2 = 2.0});
            this.Add(new SimpleDataPoint() { Label = "3", Value = 6.9, Value2 = 3.0 });
            this.Add(new SimpleDataPoint() { Label = "4", Value = 5.1, Value2 = 4.0 });
            this.Add(new SimpleDataPoint() { Label = "5", Value = 9.0, Value2 = 5.0 });
            this.Add(new SimpleDataPoint() { Label = "6", Value = 6.0, Value2 = 6.0 });
            this.Add(new SimpleDataPoint() { Label = "7", Value = 5.0, Value2 = 7.0 });

        }
    }
    /// <summary>
    /// Simple storage class for pair of string and double value
    /// </summary>
    public class SimpleDataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }

        public double Value2 { get; set; }


    }
}
